Bug 55042 - unable to run screen as non root user, from gnome desktop
unable to run screen as non root user, from gnome desktop
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: screen (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-24 15:43 EDT by Randall Wheeler
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-07 17:26:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randall Wheeler 2001-10-24 15:43:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
when trying to run the screen utility as a user other then root the 
following error occures:

"Cannot open your terminal '/dev/pty/0' - please check"

for example type:
su - someuser
screen



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. open terminal from gnome desktop
2. su - non-root-user
3. screen
	

Actual Results:  error messsage: "Cannot open your terminal '/dev/pty/0' - 
please check"


Expected Results:  a screen session for the requested user.

Additional info:
Comment 1 Phil Copeland 2002-04-15 16:26:13 EDT
when you su - <user>
the controlling tty's ownership is not changed. This is correct behaviour for su

you will need to ssh <user>@localhost or similar for the ownership of the tty to
change correctly
this is not a screen bug rather this is expected tty behaviour.

Phil
=--=

Note You need to log in before you can comment on or make changes to this bug.